Bug 95876 - [chromium] Put webcore_platform_files in separate gyp target instead of relying on exclusion patterns
Summary: [chromium] Put webcore_platform_files in separate gyp target instead of relyi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: James Robinson
URL:
Keywords:
Depends on: 95905
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 11:31 PDT by James Robinson
Modified: 2012-10-08 16:14 PDT (History)
5 users (show)

See Also:


Attachments
Patch (154.93 KB, patch)
2012-09-05 12:15 PDT, James Robinson
no flags Details | Formatted Diff | Diff
Patch (154.54 KB, patch)
2012-09-05 12:46 PDT, James Robinson
no flags Details | Formatted Diff | Diff
Patch (154.93 KB, patch)
2012-09-05 20:05 PDT, James Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2012-09-05 11:31:07 PDT
[chromium] Put webcore_platform_files in separate gyp target instead of relying on exclusion patterns
Comment 1 James Robinson 2012-09-05 12:15:16 PDT
Created attachment 162302 [details]
Patch
Comment 2 Tony Chang 2012-09-05 12:17:16 PDT
Comment on attachment 162302 [details]
Patch

It should also make gyp a tiny bit faster.
Comment 3 James Robinson 2012-09-05 12:20:03 PDT
Committed r127629: <http://trac.webkit.org/changeset/127629>
Comment 4 James Robinson 2012-09-05 12:35:12 PDT
Reverted r127629 for reason:

Broke build

Committed r127632: <http://trac.webkit.org/changeset/127632>
Comment 5 James Robinson 2012-09-05 12:43:01 PDT
I accidentally landed a version without the ['exclude', '.*'], ['include', 'platform/'], stanza, but that's still important.
Comment 6 James Robinson 2012-09-05 12:46:03 PDT
Created attachment 162306 [details]
Patch
Comment 7 James Robinson 2012-09-05 12:46:24 PDT
Committed r127635: <http://trac.webkit.org/changeset/127635>
Comment 8 WebKit Review Bot 2012-09-05 15:38:40 PDT
Re-opened since this is blocked by 95905
Comment 9 Kenichi Ishibashi 2012-09-05 15:46:07 PDT
From http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac%20Builder/builds/30631/steps/compile/logs/stdio


Undefined symbols:
  "__ZN7WebCore14RenderThemeMac17adjustRepaintRectEPKNS_12RenderObjectERNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac37paintMediaFullScreenVolumeSliderThumbEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac22paintCapsLockIndicatorEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:

      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac23platformColorsDidChangeEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac18meterSizeForBoundsEPKNS_11RenderMeterERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore29isCharacterSmartReplaceExemptEib", referenced from:
      __ZN7WebCore23ReplaceSelectionCommand24addSpacesForSmartReplaceEv in libwebcore_remaining.a(webcore_remaining.ReplaceSelectionCommand.o)
      __ZN7WebCore23ReplaceSelectionCommand24addSpacesForSmartReplaceEv in libwebcore_remaining.a(webcore_remaining.ReplaceSelectionCommand.o)
  "__ZNK7WebCore14RenderThemeMac19adjustMenuListStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac45platformActiveListBoxSelectionForegroundColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac20adjustTextFieldStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac13paintMenuListEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac23paintMediaTimeRemainingEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac14paintTextFieldEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac45platformActiveListBoxSelectionBackgroundColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac28paintSearchFieldCancelButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac34adjustSearchFieldCancelButtonStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac40platformInactiveSelectionBackgroundColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac22adjustSliderTrackStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac16paintSliderThumbEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac37animationRepeatIntervalForProgressBarEPNS_14RenderProgressE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac37paintMediaFullScreenVolumeSliderTrackEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac27paintMediaSeekForwardButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac32adjustSearchFieldDecorationStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac24popupInternalPaddingLeftEPNS_11RenderStyleE", referenced from:
      __ZNK7WebCore22RenderThemeChromiumMac24popupInternalPaddingLeftEPNS_11RenderStyleE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac19paintMenuListButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac21paintMediaCurrentTimeEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac28paintMediaControlsBackgroundEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac22platformFocusRingColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac31sliderTickOffsetFromTrackCenterEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac20fileListNameForWidthEPKNS_8FileListERKNS_4FontEib", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac14sliderTickSizeEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac22adjustProgressBarStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac15isControlStyledEPKNS_11RenderStyleERKNS_10BorderDataERKNS_9FillLayerERKNS_5ColorE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac36paintMediaToggleClosedCaptionsButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac35adjustSearchFieldResultsButtonStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac47platformInactiveListBoxSelectionForegroundColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac31animationDurationForProgressBarEPNS_14RenderProgressE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac13paintTextAreaEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac25popupInternalPaddingRightEPNS_11RenderStyleE", referenced from:
      __ZNK7WebCore22RenderThemeChromiumMac25popupInternalPaddingRightEPNS_11RenderStyleE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac23popupInternalPaddingTopEPNS_11RenderStyleE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac24paintMediaSeekBackButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac16paintSliderTrackEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac22paintMediaRewindButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac47platformInactiveListBoxSelectionBackgroundColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac19adjustTextAreaStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac13supportsMeterENS_11ControlPartE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac20controlSupportsTintsEPKNS_12RenderObjectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac26paintSearchFieldDecorationEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac38platformActiveSelectionBackgroundColorEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac16paintSearchFieldEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac26popupInternalPaddingBottomEPNS_11RenderStyleE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMacC2Ev", referenced from:
      __ZN7WebCore11RenderTheme12themeForPageEPNS_4PageE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMacD2Ev", referenced from:
      __ZN7WebCore22RenderThemeChromiumMacD1Ev in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
      __ZN7WebCore22RenderThemeChromiumMacD0Ev in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac22adjustSliderThumbStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac10paintMeterEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac21adjustSliderThumbSizeEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac28usesMediaControlVolumeSliderEv", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac19minimumMenuListSizeEPNS_11RenderStyleE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac11systemColorEi", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac39adjustSearchFieldResultsDecorationStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac10systemFontEiRNS_15FontDescriptionE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac16paintProgressBarEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac25adjustMenuListButtonStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZNK7WebCore14RenderThemeMac22adjustSearchFieldStyleEPNS_13StyleResolverEPNS_11RenderStyleEPNS_7ElementE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac29paintSearchFieldResultsButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac32paintMediaReturnToRealtimeButtonEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
  "__ZN7WebCore14RenderThemeMac33paintSearchFieldResultsDecorationEPNS_12RenderObjectERKNS_9PaintInfoERKNS_7IntRectE", referenced from:
      __ZTVN7WebCore22RenderThemeChromiumMacE in libwebcore_rendering.a(webcore_rendering.RenderThemeChromiumMac.o)
ld: symbol(s) not found
Comment 10 James Robinson 2012-09-05 18:38:40 PDT
The os=="mac" section of the webcore_platform target pulls in some extra files, including this gem:
            ['include', 'rendering/RenderThemeMac\\.mm$'],

as well as:
 ['include', 'WebKit/mac/WebCoreSupport/WebSystemInterface\\.mm$'],

I think all I need to do is have that conditional add these sources with the normal gyp list appending instead of using 'sources/'.  Everything else referenced in the mac section is in the platform/ tree so should work fine.  I'll confirm on a mac, though.
Comment 11 James Robinson 2012-09-05 20:05:32 PDT
Created attachment 162399 [details]
Patch
Comment 12 James Robinson 2012-09-05 20:07:10 PDT
This restores these files which on mac were being compiled into webcore_platform:

'../editing/SmartReplaceCF.cpp',
'../rendering/RenderThemeMac.mm',
'../../WebKit/mac/WebCoreSupport/WebSystemInterface.mm',

SmartReplaceCF.cpp came in by the way the regex include/excludes work. It's maybe a bit weird to put these two in webcore_platform but the oddities of WebSystemInterface are a bit beyond me so I'd rather keep things as is in this patch.
Comment 13 James Robinson 2012-09-06 11:22:33 PDT
http://trac.webkit.org/changeset/127687
Comment 14 Eric Seidel (no email) 2012-10-08 16:14:17 PDT
Comment on attachment 162399 [details]
Patch

Cleared review? from attachment 162399 [details] so that this bug does not appear in http://webkit.org/pending-review.  If you would like this patch reviewed, please attach it to a new bug (or re-open this bug before marking it for review again).